source: squid-ssl/trunk/fuentes/helpers/basic_auth/RADIUS/Makefile @ 5495

Last change on this file since 5495 was 5495, checked in by Juanma, 2 years ago

Initial release

File size: 43.3 KB
Line 
1# Makefile.in generated by automake 1.15 from Makefile.am.
2# helpers/basic_auth/RADIUS/Makefile.  Generated from Makefile.in by configure.
3
4# Copyright (C) 1994-2014 Free Software Foundation, Inc.
5
6# This Makefile.in is free software; the Free Software Foundation
7# gives unlimited permission to copy and/or distribute it,
8# with or without modifications, as long as this notice is preserved.
9
10# This program is distributed in the hope that it will be useful,
11# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13# PARTICULAR PURPOSE.
14
15
16
17
18am__is_gnu_make = { \
19  if test -z '$(MAKELEVEL)'; then \
20    false; \
21  elif test -n '$(MAKE_HOST)'; then \
22    true; \
23  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
24    true; \
25  else \
26    false; \
27  fi; \
28}
29am__make_running_with_option = \
30  case $${target_option-} in \
31      ?) ;; \
32      *) echo "am__make_running_with_option: internal error: invalid" \
33              "target option '$${target_option-}' specified" >&2; \
34         exit 1;; \
35  esac; \
36  has_opt=no; \
37  sane_makeflags=$$MAKEFLAGS; \
38  if $(am__is_gnu_make); then \
39    sane_makeflags=$$MFLAGS; \
40  else \
41    case $$MAKEFLAGS in \
42      *\\[\ \   ]*) \
43        bs=\\; \
44        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
45          | sed "s/$$bs$$bs[$$bs $$bs   ]*//g"`;; \
46    esac; \
47  fi; \
48  skip_next=no; \
49  strip_trailopt () \
50  { \
51    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
52  }; \
53  for flg in $$sane_makeflags; do \
54    test $$skip_next = yes && { skip_next=no; continue; }; \
55    case $$flg in \
56      *=*|--*) continue;; \
57        -*I) strip_trailopt 'I'; skip_next=yes;; \
58      -*I?*) strip_trailopt 'I';; \
59        -*O) strip_trailopt 'O'; skip_next=yes;; \
60      -*O?*) strip_trailopt 'O';; \
61        -*l) strip_trailopt 'l'; skip_next=yes;; \
62      -*l?*) strip_trailopt 'l';; \
63      -[dEDm]) skip_next=yes;; \
64      -[JT]) skip_next=yes;; \
65    esac; \
66    case $$flg in \
67      *$$target_option*) has_opt=yes; break;; \
68    esac; \
69  done; \
70  test $$has_opt = yes
71am__make_dryrun = (target_option=n; $(am__make_running_with_option))
72am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
73pkgdatadir = $(datadir)/squid
74pkgincludedir = $(includedir)/squid
75pkglibdir = $(libdir)/squid
76pkglibexecdir = $(libexecdir)/squid
77am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
78install_sh_DATA = $(install_sh) -c -m 644
79install_sh_PROGRAM = $(install_sh) -c
80install_sh_SCRIPT = $(install_sh) -c
81INSTALL_HEADER = $(INSTALL_DATA)
82transform = $(program_transform_name)
83NORMAL_INSTALL = :
84PRE_INSTALL = :
85POST_INSTALL = :
86NORMAL_UNINSTALL = :
87PRE_UNINSTALL = :
88POST_UNINSTALL = :
89build_triplet = x86_64-pc-linux-gnu
90host_triplet = x86_64-pc-linux-gnu
91check_PROGRAMS =
92TESTS =
93am__append_1 = $(INCLTDL)
94libexec_PROGRAMS = basic_radius_auth$(EXEEXT)
95subdir = helpers/basic_auth/RADIUS
96ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
97am__aclocal_m4_deps = $(top_srcdir)/acinclude/ax_with_prog.m4 \
98        $(top_srcdir)/acinclude/init.m4 \
99        $(top_srcdir)/acinclude/squid-util.m4 \
100        $(top_srcdir)/acinclude/compiler-flags.m4 \
101        $(top_srcdir)/acinclude/os-deps.m4 \
102        $(top_srcdir)/acinclude/krb5.m4 $(top_srcdir)/acinclude/pam.m4 \
103        $(top_srcdir)/acinclude/pkg.m4 \
104        $(top_srcdir)/acinclude/lib-checks.m4 \
105        $(top_srcdir)/acinclude/ax_cxx_compile_stdcxx_11.m4 \
106        $(top_srcdir)/acinclude/ax_cxx_0x_types.m4 \
107        $(top_srcdir)/helpers/basic_auth/modules.m4 \
108        $(top_srcdir)/helpers/basic_auth/DB/required.m4 \
109        $(top_srcdir)/helpers/basic_auth/LDAP/required.m4 \
110        $(top_srcdir)/helpers/basic_auth/MSNT-multi-domain/required.m4 \
111        $(top_srcdir)/helpers/basic_auth/NCSA/required.m4 \
112        $(top_srcdir)/helpers/basic_auth/NIS/required.m4 \
113        $(top_srcdir)/helpers/basic_auth/PAM/required.m4 \
114        $(top_srcdir)/helpers/basic_auth/POP3/required.m4 \
115        $(top_srcdir)/helpers/basic_auth/RADIUS/required.m4 \
116        $(top_srcdir)/helpers/basic_auth/SASL/required.m4 \
117        $(top_srcdir)/helpers/basic_auth/SMB/required.m4 \
118        $(top_srcdir)/helpers/basic_auth/SMB_LM/required.m4 \
119        $(top_srcdir)/helpers/basic_auth/SSPI/required.m4 \
120        $(top_srcdir)/helpers/basic_auth/fake/required.m4 \
121        $(top_srcdir)/helpers/basic_auth/getpwnam/required.m4 \
122        $(top_srcdir)/helpers/digest_auth/modules.m4 \
123        $(top_srcdir)/helpers/digest_auth/LDAP/required.m4 \
124        $(top_srcdir)/helpers/digest_auth/eDirectory/required.m4 \
125        $(top_srcdir)/helpers/digest_auth/file/required.m4 \
126        $(top_srcdir)/helpers/negotiate_auth/modules.m4 \
127        $(top_srcdir)/helpers/negotiate_auth/SSPI/required.m4 \
128        $(top_srcdir)/helpers/negotiate_auth/kerberos/required.m4 \
129        $(top_srcdir)/helpers/negotiate_auth/wrapper/required.m4 \
130        $(top_srcdir)/helpers/ntlm_auth/modules.m4 \
131        $(top_srcdir)/helpers/ntlm_auth/fake/required.m4 \
132        $(top_srcdir)/helpers/ntlm_auth/SSPI/required.m4 \
133        $(top_srcdir)/helpers/ntlm_auth/smb_lm/required.m4 \
134        $(top_srcdir)/helpers/log_daemon/modules.m4 \
135        $(top_srcdir)/helpers/log_daemon/DB/required.m4 \
136        $(top_srcdir)/helpers/log_daemon/file/required.m4 \
137        $(top_srcdir)/helpers/external_acl/modules.m4 \
138        $(top_srcdir)/helpers/external_acl/AD_group/required.m4 \
139        $(top_srcdir)/helpers/external_acl/LDAP_group/required.m4 \
140        $(top_srcdir)/helpers/external_acl/LM_group/required.m4 \
141        $(top_srcdir)/helpers/external_acl/delayer/required.m4 \
142        $(top_srcdir)/helpers/external_acl/SQL_session/required.m4 \
143        $(top_srcdir)/helpers/external_acl/eDirectory_userip/required.m4 \
144        $(top_srcdir)/helpers/external_acl/file_userip/required.m4 \
145        $(top_srcdir)/helpers/external_acl/kerberos_ldap_group/required.m4 \
146        $(top_srcdir)/helpers/external_acl/session/required.m4 \
147        $(top_srcdir)/helpers/external_acl/time_quota/required.m4 \
148        $(top_srcdir)/helpers/external_acl/unix_group/required.m4 \
149        $(top_srcdir)/helpers/external_acl/wbinfo_group/required.m4 \
150        $(top_srcdir)/helpers/url_rewrite/modules.m4 \
151        $(top_srcdir)/helpers/url_rewrite/fake/required.m4 \
152        $(top_srcdir)/helpers/storeid_rewrite/modules.m4 \
153        $(top_srcdir)/helpers/storeid_rewrite/file/required.m4 \
154        $(top_srcdir)/configure.ac
155am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
156        $(ACLOCAL_M4)
157DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
158mkinstalldirs = $(install_sh) -d
159CONFIG_HEADER = $(top_builddir)/include/autoconf.h
160CONFIG_CLEAN_FILES =
161CONFIG_CLEAN_VPATH_FILES =
162am__installdirs = "$(DESTDIR)$(libexecdir)" "$(DESTDIR)$(man8dir)"
163PROGRAMS = $(libexec_PROGRAMS)
164am_basic_radius_auth_OBJECTS = basic_radius_auth.$(OBJEXT) \
165        radius-util.$(OBJEXT)
166basic_radius_auth_OBJECTS = $(am_basic_radius_auth_OBJECTS)
167#am__DEPENDENCIES_1 = $(top_builddir)/lib/profiler/libprofiler.la
168am__DEPENDENCIES_2 = $(top_builddir)/compat/libcompat-squid.la \
169        $(am__DEPENDENCIES_1)
170am__DEPENDENCIES_3 =
171basic_radius_auth_DEPENDENCIES =  \
172        $(top_builddir)/lib/libmiscencoding.la $(am__DEPENDENCIES_2) \
173        $(am__DEPENDENCIES_3) $(am__DEPENDENCIES_3) \
174        $(am__DEPENDENCIES_3)
175AM_V_lt = $(am__v_lt_$(V))
176am__v_lt_ = $(am__v_lt_$(AM_DEFAULT_VERBOSITY))
177am__v_lt_0 = --silent
178am__v_lt_1 = 
179AM_V_P = $(am__v_P_$(V))
180am__v_P_ = $(am__v_P_$(AM_DEFAULT_VERBOSITY))
181am__v_P_0 = false
182am__v_P_1 = :
183AM_V_GEN = $(am__v_GEN_$(V))
184am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
185am__v_GEN_0 = @echo "  GEN     " $@;
186am__v_GEN_1 = 
187AM_V_at = $(am__v_at_$(V))
188am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
189am__v_at_0 = @
190am__v_at_1 = 
191DEFAULT_INCLUDES = 
192depcomp = $(SHELL) $(top_srcdir)/cfgaux/depcomp
193am__depfiles_maybe = depfiles
194am__mv = mv -f
195CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
196        $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
197LTCXXCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
198        $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) \
199        $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
200        $(AM_CXXFLAGS) $(CXXFLAGS)
201AM_V_CXX = $(am__v_CXX_$(V))
202am__v_CXX_ = $(am__v_CXX_$(AM_DEFAULT_VERBOSITY))
203am__v_CXX_0 = @echo "  CXX     " $@;
204am__v_CXX_1 = 
205CXXLD = $(CXX)
206CXXLINK = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
207        $(LIBTOOLFLAGS) --mode=link $(CXXLD) $(AM_CXXFLAGS) \
208        $(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
209AM_V_CXXLD = $(am__v_CXXLD_$(V))
210am__v_CXXLD_ = $(am__v_CXXLD_$(AM_DEFAULT_VERBOSITY))
211am__v_CXXLD_0 = @echo "  CXXLD   " $@;
212am__v_CXXLD_1 = 
213COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
214        $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
215LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
216        $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
217        $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
218        $(AM_CFLAGS) $(CFLAGS)
219AM_V_CC = $(am__v_CC_$(V))
220am__v_CC_ = $(am__v_CC_$(AM_DEFAULT_VERBOSITY))
221am__v_CC_0 = @echo "  CC      " $@;
222am__v_CC_1 = 
223CCLD = $(CC)
224LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
225        $(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
226        $(AM_LDFLAGS) $(LDFLAGS) -o $@
227AM_V_CCLD = $(am__v_CCLD_$(V))
228am__v_CCLD_ = $(am__v_CCLD_$(AM_DEFAULT_VERBOSITY))
229am__v_CCLD_0 = @echo "  CCLD    " $@;
230am__v_CCLD_1 = 
231SOURCES = $(basic_radius_auth_SOURCES)
232DIST_SOURCES = $(basic_radius_auth_SOURCES)
233am__can_run_installinfo = \
234  case $$AM_UPDATE_INFO_DIR in \
235    n|no|NO) false;; \
236    *) (install-info --version) >/dev/null 2>&1;; \
237  esac
238am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
239am__vpath_adj = case $$p in \
240    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
241    *) f=$$p;; \
242  esac;
243am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
244am__install_max = 40
245am__nobase_strip_setup = \
246  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
247am__nobase_strip = \
248  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
249am__nobase_list = $(am__nobase_strip_setup); \
250  for p in $$list; do echo "$$p $$p"; done | \
251  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
252  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
253    if (++n[$$2] == $(am__install_max)) \
254      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
255    END { for (dir in files) print dir, files[dir] }'
256am__base_list = \
257  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
258  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
259am__uninstall_files_from_dir = { \
260  test -z "$$files" \
261    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
262    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
263         $(am__cd) "$$dir" && rm -f $$files; }; \
264  }
265man8dir = $(mandir)/man8
266NROFF = nroff
267MANS = $(man_MANS)
268am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
269# Read a list of newline-separated strings from the standard input,
270# and print each of them once, without duplicates.  Input order is
271# *not* preserved.
272am__uniquify_input = $(AWK) '\
273  BEGIN { nonempty = 0; } \
274  { items[$$0] = 1; nonempty = 1; } \
275  END { if (nonempty) { for (i in items) print i; }; } \
276'
277# Make sure the list of sources is unique.  This is necessary because,
278# e.g., the same source file might be shared among _SOURCES variables
279# for different programs/libraries.
280am__define_uniq_tagged_files = \
281  list='$(am__tagged_files)'; \
282  unique=`for i in $$list; do \
283    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
284  done | $(am__uniquify_input)`
285ETAGS = etags
286CTAGS = ctags
287am__tty_colors_dummy = \
288  mgn= red= grn= lgn= blu= brg= std=; \
289  am__color_tests=no
290am__tty_colors = { \
291  $(am__tty_colors_dummy); \
292  if test "X$(AM_COLOR_TESTS)" = Xno; then \
293    am__color_tests=no; \
294  elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
295    am__color_tests=yes; \
296  elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
297    am__color_tests=yes; \
298  fi; \
299  if test $$am__color_tests = yes; then \
300    red='[0;31m'; \
301    grn='[0;32m'; \
302    lgn='[1;32m'; \
303    blu='[1;34m'; \
304    mgn='[0;35m'; \
305    brg='[1m'; \
306    std='[m'; \
307  fi; \
308}
309am__recheck_rx = ^[     ]*:recheck:[    ]*
310am__global_test_result_rx = ^[  ]*:global-test-result:[         ]*
311am__copy_in_global_log_rx = ^[  ]*:copy-in-global-log:[         ]*
312# A command that, given a newline-separated list of test names on the
313# standard input, print the name of the tests that are to be re-run
314# upon "make recheck".
315am__list_recheck_tests = $(AWK) '{ \
316  recheck = 1; \
317  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
318    { \
319      if (rc < 0) \
320        { \
321          if ((getline line2 < ($$0 ".log")) < 0) \
322            recheck = 0; \
323          break; \
324        } \
325      else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
326        { \
327          recheck = 0; \
328          break; \
329        } \
330      else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
331        { \
332          break; \
333        } \
334    }; \
335  if (recheck) \
336    print $$0; \
337  close ($$0 ".trs"); \
338  close ($$0 ".log"); \
339}'
340# A command that, given a newline-separated list of test names on the
341# standard input, create the global log from their .trs and .log files.
342am__create_global_log = $(AWK) ' \
343function fatal(msg) \
344{ \
345  print "fatal: making $@: " msg | "cat >&2"; \
346  exit 1; \
347} \
348function rst_section(header) \
349{ \
350  print header; \
351  len = length(header); \
352  for (i = 1; i <= len; i = i + 1) \
353    printf "="; \
354  printf "\n\n"; \
355} \
356{ \
357  copy_in_global_log = 1; \
358  global_test_result = "RUN"; \
359  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
360    { \
361      if (rc < 0) \
362         fatal("failed to read from " $$0 ".trs"); \
363      if (line ~ /$(am__global_test_result_rx)/) \
364        { \
365          sub("$(am__global_test_result_rx)", "", line); \
366          sub("[        ]*$$", "", line); \
367          global_test_result = line; \
368        } \
369      else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
370        copy_in_global_log = 0; \
371    }; \
372  if (copy_in_global_log) \
373    { \
374      rst_section(global_test_result ": " $$0); \
375      while ((rc = (getline line < ($$0 ".log"))) != 0) \
376      { \
377        if (rc < 0) \
378          fatal("failed to read from " $$0 ".log"); \
379        print line; \
380      }; \
381      printf "\n"; \
382    }; \
383  close ($$0 ".trs"); \
384  close ($$0 ".log"); \
385}'
386# Restructured Text title.
387am__rst_title = { sed 's/.*/   &   /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
388# Solaris 10 'make', and several other traditional 'make' implementations,
389# pass "-e" to $(SHELL), and POSIX 2008 even requires this.  Work around it
390# by disabling -e (using the XSI extension "set +e") if it's set.
391am__sh_e_setup = case $$- in *e*) set +e;; esac
392# Default flags passed to test drivers.
393am__common_driver_flags = \
394  --color-tests "$$am__color_tests" \
395  --enable-hard-errors "$$am__enable_hard_errors" \
396  --expect-failure "$$am__expect_failure"
397# To be inserted before the command running the test.  Creates the
398# directory for the log if needed.  Stores in $dir the directory
399# containing $f, in $tst the test, in $log the log.  Executes the
400# developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
401# passes TESTS_ENVIRONMENT.  Set up options for the wrapper that
402# will run the test scripts (or their associated LOG_COMPILER, if
403# thy have one).
404am__check_pre = \
405$(am__sh_e_setup);                                      \
406$(am__vpath_adj_setup) $(am__vpath_adj)                 \
407$(am__tty_colors);                                      \
408srcdir=$(srcdir); export srcdir;                        \
409case "$@" in                                            \
410  */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;;    \
411    *) am__odir=.;;                                     \
412esac;                                                   \
413test "x$$am__odir" = x"." || test -d "$$am__odir"       \
414  || $(MKDIR_P) "$$am__odir" || exit $$?;               \
415if test -f "./$$f"; then dir=./;                        \
416elif test -f "$$f"; then dir=;                          \
417else dir="$(srcdir)/"; fi;                              \
418tst=$$dir$$f; log='$@';                                 \
419if test -n '$(DISABLE_HARD_ERRORS)'; then               \
420  am__enable_hard_errors=no;                            \
421else                                                    \
422  am__enable_hard_errors=yes;                           \
423fi;                                                     \
424case " $(XFAIL_TESTS) " in                              \
425  *[\ \ ]$$f[\ \        ]* | *[\ \      ]$$dir$$f[\ \   ]*) \
426    am__expect_failure=yes;;                            \
427  *)                                                    \
428    am__expect_failure=no;;                             \
429esac;                                                   \
430$(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
431# A shell command to get the names of the tests scripts with any registered
432# extension removed (i.e., equivalently, the names of the test logs, with
433# the '.log' extension removed).  The result is saved in the shell variable
434# '$bases'.  This honors runtime overriding of TESTS and TEST_LOGS.  Sadly,
435# we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
436# since that might cause problem with VPATH rewrites for suffix-less tests.
437# See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
438am__set_TESTS_bases = \
439  bases='$(TEST_LOGS)'; \
440  bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
441  bases=`echo $$bases`
442RECHECK_LOGS = $(TEST_LOGS)
443AM_RECURSIVE_TARGETS = check recheck
444TEST_SUITE_LOG = test-suite.log
445TEST_EXTENSIONS =  .test
446am__test_logs1 = $(TESTS:=.log)
447am__test_logs2 = $(am__test_logs1:.log=.log)
448TEST_LOGS = $(am__test_logs2:.test.log=.log)
449TEST_LOG_DRIVER = $(SHELL) $(top_srcdir)/cfgaux/test-driver
450TEST_LOG_COMPILE = $(TEST_LOG_COMPILER) $(AM_TEST_LOG_FLAGS) \
451        $(TEST_LOG_FLAGS)
452am__set_b = \
453  case '$@' in \
454    */*) \
455      case '$*' in \
456        */*) b='$*';; \
457          *) b=`echo '$@' | sed 's/\.log$$//'`; \
458       esac;; \
459    *) \
460      b='$*';; \
461  esac
462am__DIST_COMMON = $(srcdir)/Makefile.in $(top_srcdir)/cfgaux/depcomp \
463        $(top_srcdir)/cfgaux/test-driver $(top_srcdir)/src/Common.am \
464        README
465DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
466ACLOCAL = ${SHELL} /media/sdb/svn/xenial/squid-ssl/trunk/fuentes/cfgaux/missing aclocal-1.15
467ADAPTATION_LIBS = adaptation/libadaptation.la
468ALLOCA =
469AMTAR = $${TAR-tar}
470AM_DEFAULT_VERBOSITY = 1
471AR = /usr/bin/ar
472AR_R = /usr/bin/ar r
473AUTH_LIBS_TO_BUILD =  basic/libbasic.la digest/libdigest.la negotiate/libnegotiate.la ntlm/libntlm.la
474AUTH_MODULES =  basic digest negotiate ntlm
475AUTOCONF = ${SHELL} /media/sdb/svn/xenial/squid-ssl/trunk/fuentes/cfgaux/missing autoconf
476AUTOHEADER = ${SHELL} /media/sdb/svn/xenial/squid-ssl/trunk/fuentes/cfgaux/missing autoheader
477AUTOMAKE = ${SHELL} /media/sdb/svn/xenial/squid-ssl/trunk/fuentes/cfgaux/missing automake-1.15
478AWK = gawk
479BASIC_AUTH_HELPERS =  DB fake getpwnam LDAP NCSA NIS PAM POP3 RADIUS SASL SMB
480BUILDCXX = g++
481BUILDCXXFLAGS = -g -O2 -fPIE -fstack-protector-strong -Wformat -Werror=format-security -Wl,-Bsymbolic-functions -fPIE -pie -Wl,-z,relro -Wl,-z,now
482BZR =
483CACHE_EFFECTIVE_USER = proxy
484CC = gcc
485CCDEPMODE = depmode=none
486CFLAGS = -m64 -g -O2 -fPIE -fstack-protector-strong -Wformat -Werror=format-security -Wall
487CGIEXT = .cgi
488CHMOD = /bin/chmod
489CPP = gcc -E
490CPPFLAGS = -I/usr/include/libxml2 -Wdate-time -D_FORTIFY_SOURCE=2
491CPPUNITCONFIG = /usr/bin/cppunit-config
492CRYPTLIB = -lcrypt
493CXX = g++
494CXXCPP = g++ -E
495CXXDEPMODE = depmode=none
496CXXFLAGS = -m64  -I/usr/include/p11-kit-1 -g -O2 -fPIE -fstack-protector-strong -Wformat -Werror=format-security -std=c++11
497CYGPATH_W = echo
498DEFAULT_HOSTS = /etc/hosts
499DEFAULT_LOG_DIR = /var/log/squid-ssl
500DEFAULT_PID_FILE = /var/run/squid-ssl.pid
501DEFAULT_SWAP_DIR = /var/spool/squid-ssl
502DEFS = -DHAVE_CONFIG_H
503DEPDIR = .deps
504DIGEST_AUTH_HELPERS =  file LDAP
505DISK_LIBS =  libAIO.a libBlocking.a libDiskDaemon.a libDiskThreads.a libIpcIo.a libMmapped.a
506DISK_LINKOBJS =  DiskIO/AIO/AIODiskIOModule.o DiskIO/Blocking/BlockingDiskIOModule.o DiskIO/DiskDaemon/DiskDaemonDiskIOModule.o DiskIO/DiskThreads/DiskThreadsDiskIOModule.o DiskIO/IpcIo/IpcIoDiskIOModule.o DiskIO/Mmapped/MmappedDiskIOModule.o
507DISK_MODULES =  AIO Blocking DiskDaemon DiskThreads IpcIo Mmapped
508DISK_OS_LIBS =  -lrt -lpthread
509DISK_PROGRAMS =  DiskIO/DiskDaemon/diskd
510DLLTOOL = false
511DSYMUTIL =
512DUMPBIN =
513ECAP_LIBS = ecap/libsquid-ecap.la
514ECHO_C =
515ECHO_N = -n
516ECHO_T =
517EGREP = /bin/egrep
518EPOLL_LIBS =
519EUILIB =
520EXEEXT =
521EXPATLIB = -lexpat
522EXTERNAL_ACL_HELPERS =  file_userip kerberos_ldap_group LDAP_group session SQL_session unix_group wbinfo_group
523EXT_LIBECAP_CFLAGS =
524EXT_LIBECAP_LIBS = -lecap
525FALSE = /bin/false
526FGREP = /bin/fgrep
527GREP = grep
528HAVE_CXX11 = 1
529ICAP_LIBS = icap/libicap.la
530INCLTDL =
531INSTALL = /usr/bin/install -c
532INSTALL_DATA = ${INSTALL} -m 644
533INSTALL_PROGRAM = ${INSTALL}
534INSTALL_SCRIPT = ${INSTALL}
535INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
536KRB5INCS = -isystem /usr/include/mit-krb5
537KRB5LIBS =  -L/usr/lib/x86_64-linux-gnu/mit-krb5 -lgssapi_krb5 -lkrb5 -lk5crypto -lcom_err
538LBERLIB = -llber
539LD = /usr/bin/ld -m elf_x86_64
540LDAPLIB = -lldap
541LDFLAGS = -m64 -Wl,-Bsymbolic-functions -fPIE -pie -Wl,-z,relro -Wl,-z,now
542LIBADD_DL = -ldl
543LIBADD_DLD_LINK =
544LIBADD_DLOPEN = -ldl
545LIBADD_SHL_LOAD =
546LIBGNUTLS_CFLAGS = -I/usr/include/p11-kit-1
547LIBGNUTLS_LIBS = -lgnutls
548LIBLTDL = -lltdl
549LIBOBJS =
550LIBOPENSSL_CFLAGS =
551LIBOPENSSL_LIBS = -lssl -lcrypto
552LIBS =
553LIBSASL = -lsasl2
554LIBTOOL = $(SHELL) $(top_builddir)/libtool
555LIB_DB = -ldb
556LIB_KRB5_CFLAGS = -isystem /usr/include/mit-krb5
557LIB_KRB5_LIBS = -L/usr/lib/x86_64-linux-gnu/mit-krb5 -lgssapi_krb5 -lkrb5 -lk5crypto -lcom_err
558LINUXDOC = /bin/false
559LIPO =
560LN = /bin/ln
561LN_S = ln -s
562LOG_DAEMON_HELPERS =  DB file
563LTDLDEPS =
564LTDLINCL =
565LTDLOPEN = libltdl
566LTLIBOBJS =
567LT_ARGZ_H =
568LT_CONFIG_H = include/autoconf.h
569LT_DLLOADERS =  libltdl/dlopen.la
570LT_DLPREOPEN = -dlpreopen libltdl/dlopen.la
571LT_SYS_LIBRARY_PATH =
572MAINT = #
573MAKEINFO = ${SHELL} /media/sdb/svn/xenial/squid-ssl/trunk/fuentes/cfgaux/missing makeinfo
574MANIFEST_TOOL = :
575MINGW_LIBS =
576MKDIR = /bin/mkdir
577MKDIR_P = /bin/mkdir -p
578MV = /bin/mv
579NEGOTIATE_AUTH_HELPERS =  kerberos wrapper
580NETTLELIB =  -lnettle
581NM = /usr/bin/nm -B
582NMEDIT =
583NTLM_AUTH_HELPERS =  fake smb_lm
584OBJDUMP = objdump
585OBJEXT = o
586OTOOL =
587OTOOL64 =
588PACKAGE = squid
589PACKAGE_BUGREPORT = http://bugs.squid-cache.org/
590PACKAGE_NAME = Squid Web Proxy
591PACKAGE_STRING = Squid Web Proxy 3.5.12
592PACKAGE_TARNAME = squid
593PACKAGE_URL =
594PACKAGE_VERSION = 3.5.12
595PATH_SEPARATOR = :
596PERL = /usr/bin/perl
597PKG_CONFIG = /usr/bin/pkg-config
598PKG_CONFIG_LIBDIR =
599PKG_CONFIG_PATH =
600PO2HTML = off
601PO2TEXT = off
602POD2MAN = /usr/bin/pod2man
603RANLIB = ranlib
604REGEXLIB =
605REPL_LIBS = liblru.a libheap.a
606REPL_OBJS = repl/liblru.a repl/libheap.a
607REPL_POLICIES = lru heap
608RM = /bin/rm -f
609SED = /bin/sed
610SET_MAKE =
611SH = /bin/sh
612SHELL = /bin/bash
613SMBCLIENT = /usr/bin/smbclient
614SNMPLIB = ../lib/snmplib/libsnmplib.la
615SQUID_CFLAGS = -Wall -Wpointer-arith -Wwrite-strings -Wmissing-prototypes -Wmissing-declarations -Wcomments -Wshadow -Werror -pipe -D_REENTRANT
616SQUID_CPPUNIT_INC =
617SQUID_CPPUNIT_LA =
618SQUID_CPPUNIT_LIBS = -L/usr/lib/x86_64-linux-gnu -lcppunit -ldl
619SQUID_CXXFLAGS = -I/usr/include/libxml2 -Wall -Wpointer-arith -Wwrite-strings -Wcomments -Wshadow -Werror -pipe -D_REENTRANT
620SSLLIB =  -lssl -lcrypto  -lgnutls
621STOREID_REWRITE_HELPERS =  file
622STORE_LIBS_TO_ADD =  fs/libufs.la fs/libaufs.la fs/libdiskd.la fs/librock.la
623STORE_LIBS_TO_BUILD =  libufs.la libaufs.la libdiskd.la librock.la
624STORE_TESTS =
625STRIP = strip
626TR = /usr/bin/tr
627TRUE = /bin/true
628URL_REWRITE_HELPERS =  fake
629VERSION = 3.5.12
630WBINFO =
631WIN32_PSAPI =
632XMLLIB = -lxml2
633XTRA_LIBS = -lm -lnsl -lresolv -lcap -lnetfilter_conntrack -lrt
634XTRA_OBJS =
635abs_builddir = /media/sdb/svn/xenial/squid-ssl/trunk/fuentes/helpers/basic_auth/RADIUS
636abs_srcdir = /media/sdb/svn/xenial/squid-ssl/trunk/fuentes/helpers/basic_auth/RADIUS
637abs_top_builddir = /media/sdb/svn/xenial/squid-ssl/trunk/fuentes
638abs_top_srcdir = /media/sdb/svn/xenial/squid-ssl/trunk/fuentes
639ac_ct_AR =
640ac_ct_CC = gcc
641ac_ct_CXX = g++
642ac_ct_DUMPBIN =
643am__include = include
644am__leading_dot = .
645am__quote =
646am__tar = tar --format=ustar -chf - "$$tardir"
647am__untar = tar -xf -
648bindir = ${exec_prefix}/bin
649build = x86_64-pc-linux-gnu
650build_alias = x86_64-linux-gnu
651build_cpu = x86_64
652build_os = linux-gnu
653build_vendor = pc
654builddir = .
655datadir = /usr/share/squid-ssl
656datarootdir = ${prefix}/share
657docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
658dvidir = ${docdir}
659exec_prefix = ${prefix}
660host = x86_64-pc-linux-gnu
661host_alias =
662host_cpu = x86_64
663host_os = linux-gnu
664host_vendor = pc
665htmldir = ${docdir}
666includedir = ${prefix}/include
667infodir = ${prefix}/share/info
668install_sh = ${SHELL} /media/sdb/svn/xenial/squid-ssl/trunk/fuentes/cfgaux/install-sh
669krb5_config =
670libdir = ${exec_prefix}/lib
671libexecdir = /usr/lib/squid-ssl
672localedir = ${datarootdir}/locale
673localstatedir = /var
674ltdl_LIBOBJS =  lt__strl.o
675ltdl_LTLIBOBJS =  lt__strl.lo
676mandir = /usr/share/man
677mkdir_p = $(MKDIR_P)
678oldincludedir = /usr/include
679pdfdir = ${docdir}
680prefix = /usr
681program_transform_name = s&$$&-ssl&
682psdir = ${docdir}
683runstatedir = ${localstatedir}/run
684sbindir = ${exec_prefix}/sbin
685sharedstatedir = ${prefix}/com
686srcdir = .
687subdirs =  libltdl
688sys_symbol_underscore = no
689sysconfdir = /etc/squid-ssl
690target_alias =
691top_build_prefix = ../../../
692top_builddir = ../../..
693top_srcdir = ../../..
694AM_CFLAGS = $(SQUID_CFLAGS)
695AM_CXXFLAGS = $(SQUID_CXXFLAGS)
696CLEANFILES =
697AM_CPPFLAGS = -I$(top_srcdir) -I$(top_srcdir)/include \
698        -I$(top_srcdir)/lib -I$(top_srcdir)/src \
699        -I$(top_builddir)/include $(SQUID_CPPUNIT_INC) $(KRB5INCS) \
700        $(am__append_1) -I$(srcdir)
701LIBPROFILER =
702#LIBPROFILER = $(top_builddir)/lib/profiler/libprofiler.la
703COMPAT_LIB = $(top_builddir)/compat/libcompat-squid.la $(LIBPROFILER)
704subst_perlshell = sed -e 's,[@]PERL[@],$(PERL),g' <$(srcdir)/$@.pl.in >$@ || ($(RM) -f $@ ; exit 1)
705man_MANS = basic_radius_auth.8
706EXTRA_DIST = basic_radius_auth.8 required.m4
707basic_radius_auth_SOURCES = \
708                        basic_radius_auth.cc \
709                        radius.h \
710                        radius-util.cc \
711                        radius-util.h
712
713basic_radius_auth_LDADD = \
714        $(top_builddir)/lib/libmiscencoding.la \
715        $(COMPAT_LIB) \
716        $(NETTLELIB) \
717        $(SSLLIB) \
718        $(XTRA_LIBS)
719
720all: all-am
721
722.SUFFIXES:
723.SUFFIXES: .cc .lo .log .o .obj .test .test$(EXEEXT) .trs
724$(srcdir)/Makefile.in: # $(srcdir)/Makefile.am $(top_srcdir)/src/Common.am $(am__configure_deps)
725        @for dep in $?; do \
726          case '$(am__configure_deps)' in \
727            *$$dep*) \
728              ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
729                && { if test -f $@; then exit 0; else break; fi; }; \
730              exit 1;; \
731          esac; \
732        done; \
733        echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu helpers/basic_auth/RADIUS/Makefile'; \
734        $(am__cd) $(top_srcdir) && \
735          $(AUTOMAKE) --gnu helpers/basic_auth/RADIUS/Makefile
736Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
737        @case '$?' in \
738          *config.status*) \
739            cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
740          *) \
741            echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
742            cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
743        esac;
744$(top_srcdir)/src/Common.am $(am__empty):
745
746$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
747        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
748
749$(top_srcdir)/configure: # $(am__configure_deps)
750        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
751$(ACLOCAL_M4): # $(am__aclocal_m4_deps)
752        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
753$(am__aclocal_m4_deps):
754
755clean-checkPROGRAMS:
756        @list='$(check_PROGRAMS)'; test -n "$$list" || exit 0; \
757        echo " rm -f" $$list; \
758        rm -f $$list || exit $$?; \
759        test -n "$(EXEEXT)" || exit 0; \
760        list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
761        echo " rm -f" $$list; \
762        rm -f $$list
763install-libexecPROGRAMS: $(libexec_PROGRAMS)
764        @$(NORMAL_INSTALL)
765        @list='$(libexec_PROGRAMS)'; test -n "$(libexecdir)" || list=; \
766        if test -n "$$list"; then \
767          echo " $(MKDIR_P) '$(DESTDIR)$(libexecdir)'"; \
768          $(MKDIR_P) "$(DESTDIR)$(libexecdir)" || exit 1; \
769        fi; \
770        for p in $$list; do echo "$$p $$p"; done | \
771        sed 's/$(EXEEXT)$$//' | \
772        while read p p1; do if test -f $$p \
773         || test -f $$p1 \
774          ; then echo "$$p"; echo "$$p"; else :; fi; \
775        done | \
776        sed -e 'p;s,.*/,,;n;h' \
777            -e 's|.*|.|' \
778            -e 'p;x;s,.*/,,;s/$(EXEEXT)$$//;$(transform);s/$$/$(EXEEXT)/' | \
779        sed 'N;N;N;s,\n, ,g' | \
780        $(AWK) 'BEGIN { files["."] = ""; dirs["."] = 1 } \
781          { d=$$3; if (dirs[d] != 1) { print "d", d; dirs[d] = 1 } \
782            if ($$2 == $$4) files[d] = files[d] " " $$1; \
783            else { print "f", $$3 "/" $$4, $$1; } } \
784          END { for (d in files) print "f", d, files[d] }' | \
785        while read type dir files; do \
786            if test "$$dir" = .; then dir=; else dir=/$$dir; fi; \
787            test -z "$$files" || { \
788            echo " $(INSTALL_PROGRAM_ENV) $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL_PROGRAM) $$files '$(DESTDIR)$(libexecdir)$$dir'"; \
789            $(INSTALL_PROGRAM_ENV) $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL_PROGRAM) $$files "$(DESTDIR)$(libexecdir)$$dir" || exit $$?; \
790            } \
791        ; done
792
793uninstall-libexecPROGRAMS:
794        @$(NORMAL_UNINSTALL)
795        @list='$(libexec_PROGRAMS)'; test -n "$(libexecdir)" || list=; \
796        files=`for p in $$list; do echo "$$p"; done | \
797          sed -e 'h;s,^.*/,,;s/$(EXEEXT)$$//;$(transform)' \
798              -e 's/$$/$(EXEEXT)/' \
799        `; \
800        test -n "$$list" || exit 0; \
801        echo " ( cd '$(DESTDIR)$(libexecdir)' && rm -f" $$files ")"; \
802        cd "$(DESTDIR)$(libexecdir)" && rm -f $$files
803
804clean-libexecPROGRAMS:
805        @list='$(libexec_PROGRAMS)'; test -n "$$list" || exit 0; \
806        echo " rm -f" $$list; \
807        rm -f $$list || exit $$?; \
808        test -n "$(EXEEXT)" || exit 0; \
809        list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
810        echo " rm -f" $$list; \
811        rm -f $$list
812
813basic_radius_auth$(EXEEXT): $(basic_radius_auth_OBJECTS) $(basic_radius_auth_DEPENDENCIES) $(EXTRA_basic_radius_auth_DEPENDENCIES) 
814        @rm -f basic_radius_auth$(EXEEXT)
815        $(AM_V_CXXLD)$(CXXLINK) $(basic_radius_auth_OBJECTS) $(basic_radius_auth_LDADD) $(LIBS)
816
817mostlyclean-compile:
818        -rm -f *.$(OBJEXT)
819
820distclean-compile:
821        -rm -f *.tab.c
822
823#include ./$(DEPDIR)/basic_radius_auth.Po
824#include ./$(DEPDIR)/radius-util.Po
825
826.cc.o:
827#       $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
828#       $(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
829#       $(am__mv) $$depbase.Tpo $$depbase.Po
830#       $(AM_V_CXX)source='$<' object='$@' libtool=no
831#       DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp)
832        $(AM_V_CXX)$(CXXCOMPILE) -c -o $@ $<
833
834.cc.obj:
835#       $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
836#       $(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
837#       $(am__mv) $$depbase.Tpo $$depbase.Po
838#       $(AM_V_CXX)source='$<' object='$@' libtool=no
839#       DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp)
840        $(AM_V_CXX)$(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
841
842.cc.lo:
843#       $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`;\
844#       $(LTCXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
845#       $(am__mv) $$depbase.Tpo $$depbase.Plo
846#       $(AM_V_CXX)source='$<' object='$@' libtool=yes
847#       DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp)
848        $(AM_V_CXX)$(LTCXXCOMPILE) -c -o $@ $<
849
850mostlyclean-libtool:
851        -rm -f *.lo
852
853clean-libtool:
854        -rm -rf .libs _libs
855install-man8: $(man_MANS)
856        @$(NORMAL_INSTALL)
857        @list1=''; \
858        list2='$(man_MANS)'; \
859        test -n "$(man8dir)" \
860          && test -n "`echo $$list1$$list2`" \
861          || exit 0; \
862        echo " $(MKDIR_P) '$(DESTDIR)$(man8dir)'"; \
863        $(MKDIR_P) "$(DESTDIR)$(man8dir)" || exit 1; \
864        { for i in $$list1; do echo "$$i"; done\
865        if test -n "$$list2"; then \
866          for i in $$list2; do echo "$$i"; done \
867            | sed -n '/\.8[a-z]*$$/p'; \
868        fi; \
869        } | while read p; do \
870          if test -f $$p; then d=; else d="$(srcdir)/"; fi; \
871          echo "$$d$$p"; echo "$$p"; \
872        done | \
873        sed -e 'n;s,.*/,,;p;h;s,.*\.,,;s,^[^8][0-9a-z]*$$,8,;x' \
874              -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,' | \
875        sed 'N;N;s,\n, ,g' | { \
876        list=; while read file base inst; do \
877          if test "$$base" = "$$inst"; then list="$$list $$file"; else \
878            echo " $(INSTALL_DATA) '$$file' '$(DESTDIR)$(man8dir)/$$inst'"; \
879            $(INSTALL_DATA) "$$file" "$(DESTDIR)$(man8dir)/$$inst" || exit $$?; \
880          fi; \
881        done; \
882        for i in $$list; do echo "$$i"; done | $(am__base_list) | \
883        while read files; do \
884          test -z "$$files" || { \
885            echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(man8dir)'"; \
886            $(INSTALL_DATA) $$files "$(DESTDIR)$(man8dir)" || exit $$?; }; \
887        done; }
888
889uninstall-man8:
890        @$(NORMAL_UNINSTALL)
891        @list=''; test -n "$(man8dir)" || exit 0; \
892        files=`{ for i in $$list; do echo "$$i"; done; \
893        l2='$(man_MANS)'; for i in $$l2; do echo "$$i"; done | \
894          sed -n '/\.8[a-z]*$$/p'; \
895        } | sed -e 's,.*/,,;h;s,.*\.,,;s,^[^8][0-9a-z]*$$,8,;x' \
896              -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,'`; \
897        dir='$(DESTDIR)$(man8dir)'; $(am__uninstall_files_from_dir)
898
899ID: $(am__tagged_files)
900        $(am__define_uniq_tagged_files); mkid -fID $$unique
901tags: tags-am
902TAGS: tags
903
904tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
905        set x; \
906        here=`pwd`; \
907        $(am__define_uniq_tagged_files); \
908        shift; \
909        if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
910          test -n "$$unique" || unique=$$empty_fix; \
911          if test $$# -gt 0; then \
912            $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
913              "$$@" $$unique; \
914          else \
915            $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
916              $$unique; \
917          fi; \
918        fi
919ctags: ctags-am
920
921CTAGS: ctags
922ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
923        $(am__define_uniq_tagged_files); \
924        test -z "$(CTAGS_ARGS)$$unique" \
925          || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
926             $$unique
927
928GTAGS:
929        here=`$(am__cd) $(top_builddir) && pwd` \
930          && $(am__cd) $(top_srcdir) \
931          && gtags -i $(GTAGS_ARGS) "$$here"
932cscopelist: cscopelist-am
933
934cscopelist-am: $(am__tagged_files)
935        list='$(am__tagged_files)'; \
936        case "$(srcdir)" in \
937          [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
938          *) sdir=$(subdir)/$(srcdir) ;; \
939        esac; \
940        for i in $$list; do \
941          if test -f "$$i"; then \
942            echo "$(subdir)/$$i"; \
943          else \
944            echo "$$sdir/$$i"; \
945          fi; \
946        done >> $(top_builddir)/cscope.files
947
948distclean-tags:
949        -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
950
951# Recover from deleted '.trs' file; this should ensure that
952# "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
953# both 'foo.log' and 'foo.trs'.  Break the recipe in two subshells
954# to avoid problems with "make -n".
955.log.trs:
956        rm -f $< $@
957        $(MAKE) $(AM_MAKEFLAGS) $<
958
959# Leading 'am--fnord' is there to ensure the list of targets does not
960# expand to empty, as could happen e.g. with make check TESTS=''.
961am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
962am--force-recheck:
963        @:
964
965$(TEST_SUITE_LOG): $(TEST_LOGS)
966        @$(am__set_TESTS_bases); \
967        am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
968        redo_bases=`for i in $$bases; do \
969                      am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
970                    done`; \
971        if test -n "$$redo_bases"; then \
972          redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
973          redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
974          if $(am__make_dryrun); then :; else \
975            rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
976          fi; \
977        fi; \
978        if test -n "$$am__remaking_logs"; then \
979          echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
980               "recursion detected" >&2; \
981        elif test -n "$$redo_logs"; then \
982          am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
983        fi; \
984        if $(am__make_dryrun); then :; else \
985          st=0;  \
986          errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
987          for i in $$redo_bases; do \
988            test -f $$i.trs && test -r $$i.trs \
989              || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
990            test -f $$i.log && test -r $$i.log \
991              || { echo "$$errmsg $$i.log" >&2; st=1; }; \
992          done; \
993          test $$st -eq 0 || exit 1; \
994        fi
995        @$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
996        ws='[   ]'; \
997        results=`for b in $$bases; do echo $$b.trs; done`; \
998        test -n "$$results" || results=/dev/null; \
999        all=`  grep "^$$ws*:test-result:"           $$results | wc -l`; \
1000        pass=` grep "^$$ws*:test-result:$$ws*PASS"  $$results | wc -l`; \
1001        fail=` grep "^$$ws*:test-result:$$ws*FAIL"  $$results | wc -l`; \
1002        skip=` grep "^$$ws*:test-result:$$ws*SKIP"  $$results | wc -l`; \
1003        xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
1004        xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
1005        error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
1006        if test `expr $$fail + $$xpass + $$error` -eq 0; then \
1007          success=true; \
1008        else \
1009          success=false; \
1010        fi; \
1011        br='==================='; br=$$br$$br$$br$$br; \
1012        result_count () \
1013        { \
1014            if test x"$$1" = x"--maybe-color"; then \
1015              maybe_colorize=yes; \
1016            elif test x"$$1" = x"--no-color"; then \
1017              maybe_colorize=no; \
1018            else \
1019              echo "$@: invalid 'result_count' usage" >&2; exit 4; \
1020            fi; \
1021            shift; \
1022            desc=$$1 count=$$2; \
1023            if test $$maybe_colorize = yes && test $$count -gt 0; then \
1024              color_start=$$3 color_end=$$std; \
1025            else \
1026              color_start= color_end=; \
1027            fi; \
1028            echo "$${color_start}# $$desc $$count$${color_end}"; \
1029        }; \
1030        create_testsuite_report () \
1031        { \
1032          result_count $$1 "TOTAL:" $$all   "$$brg"; \
1033          result_count $$1 "PASS: " $$pass  "$$grn"; \
1034          result_count $$1 "SKIP: " $$skip  "$$blu"; \
1035          result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
1036          result_count $$1 "FAIL: " $$fail  "$$red"; \
1037          result_count $$1 "XPASS:" $$xpass "$$red"; \
1038          result_count $$1 "ERROR:" $$error "$$mgn"; \
1039        }; \
1040        {                                                               \
1041          echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" |       \
1042            $(am__rst_title);                                           \
1043          create_testsuite_report --no-color;                           \
1044          echo;                                                         \
1045          echo ".. contents:: :depth: 2";                               \
1046          echo;                                                         \
1047          for b in $$bases; do echo $$b; done                           \
1048            | $(am__create_global_log);                                 \
1049        } >$(TEST_SUITE_LOG).tmp || exit 1;                             \
1050        mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG);                     \
1051        if $$success; then                                              \
1052          col="$$grn";                                                  \
1053         else                                                           \
1054          col="$$red";                                                  \
1055          test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG);               \
1056        fi;                                                             \
1057        echo "$${col}$$br$${std}";                                      \
1058        echo "$${col}Testsuite summary for $(PACKAGE_STRING)$${std}";   \
1059        echo "$${col}$$br$${std}";                                      \
1060        create_testsuite_report --maybe-color;                          \
1061        echo "$$col$$br$$std";                                          \
1062        if $$success; then :; else                                      \
1063          echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}";         \
1064          if test -n "$(PACKAGE_BUGREPORT)"; then                       \
1065            echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}"; \
1066          fi;                                                           \
1067          echo "$$col$$br$$std";                                        \
1068        fi;                                                             \
1069        $$success || exit 1
1070
1071check-TESTS:
1072        @list='$(RECHECK_LOGS)';           test -z "$$list" || rm -f $$list
1073        @list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
1074        @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1075        @set +e; $(am__set_TESTS_bases); \
1076        log_list=`for i in $$bases; do echo $$i.log; done`; \
1077        trs_list=`for i in $$bases; do echo $$i.trs; done`; \
1078        log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \
1079        $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \
1080        exit $$?;
1081recheck: all $(check_PROGRAMS)
1082        @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1083        @set +e; $(am__set_TESTS_bases); \
1084        bases=`for i in $$bases; do echo $$i; done \
1085                 | $(am__list_recheck_tests)` || exit 1; \
1086        log_list=`for i in $$bases; do echo $$i.log; done`; \
1087        log_list=`echo $$log_list`; \
1088        $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
1089                am__force_recheck=am--force-recheck \
1090                TEST_LOGS="$$log_list"; \
1091        exit $$?
1092.test.log:
1093        @p='$<'; \
1094        $(am__set_b); \
1095        $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
1096        --log-file $$b.log --trs-file $$b.trs \
1097        $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
1098        "$$tst" $(AM_TESTS_FD_REDIRECT)
1099#.test$(EXEEXT).log:
1100#       @p='$<'; \
1101#       $(am__set_b); \
1102#       $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
1103#       --log-file $$b.log --trs-file $$b.trs \
1104#       $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
1105#       "$$tst" $(AM_TESTS_FD_REDIRECT)
1106
1107distdir: $(DISTFILES)
1108        @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1109        topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1110        list='$(DISTFILES)'; \
1111          dist_files=`for file in $$list; do echo $$file; done | \
1112          sed -e "s|^$$srcdirstrip/||;t" \
1113              -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
1114        case $$dist_files in \
1115          */*) $(MKDIR_P) `echo "$$dist_files" | \
1116                           sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
1117                           sort -u` ;; \
1118        esac; \
1119        for file in $$dist_files; do \
1120          if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
1121          if test -d $$d/$$file; then \
1122            dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
1123            if test -d "$(distdir)/$$file"; then \
1124              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1125            fi; \
1126            if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
1127              cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
1128              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1129            fi; \
1130            cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
1131          else \
1132            test -f "$(distdir)/$$file" \
1133            || cp -p $$d/$$file "$(distdir)/$$file" \
1134            || exit 1; \
1135          fi; \
1136        done
1137check-am: all-am
1138        $(MAKE) $(AM_MAKEFLAGS) $(check_PROGRAMS)
1139        $(MAKE) $(AM_MAKEFLAGS) check-TESTS
1140check: check-am
1141all-am: Makefile $(PROGRAMS) $(MANS)
1142installdirs:
1143        for dir in "$(DESTDIR)$(libexecdir)" "$(DESTDIR)$(man8dir)"; do \
1144          test -z "$$dir" || $(MKDIR_P) "$$dir"; \
1145        done
1146install: install-am
1147install-exec: install-exec-am
1148install-data: install-data-am
1149uninstall: uninstall-am
1150
1151install-am: all-am
1152        @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
1153
1154installcheck: installcheck-am
1155install-strip:
1156        if test -z '$(STRIP)'; then \
1157          $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1158            install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1159              install; \
1160        else \
1161          $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1162            install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1163            "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
1164        fi
1165mostlyclean-generic:
1166        -test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
1167        -test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
1168        -test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1169
1170clean-generic:
1171        -test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
1172
1173distclean-generic:
1174        -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
1175        -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
1176
1177maintainer-clean-generic:
1178        @echo "This command is intended for maintainers to use"
1179        @echo "it deletes files that may require special tools to rebuild."
1180clean: clean-am
1181
1182clean-am: clean-checkPROGRAMS clean-generic clean-libexecPROGRAMS \
1183        clean-libtool mostlyclean-am
1184
1185distclean: distclean-am
1186        -rm -rf ./$(DEPDIR)
1187        -rm -f Makefile
1188distclean-am: clean-am distclean-compile distclean-generic \
1189        distclean-tags
1190
1191dvi: dvi-am
1192
1193dvi-am:
1194
1195html: html-am
1196
1197html-am:
1198
1199info: info-am
1200
1201info-am:
1202
1203install-data-am: install-man
1204
1205install-dvi: install-dvi-am
1206
1207install-dvi-am:
1208
1209install-exec-am: install-libexecPROGRAMS
1210
1211install-html: install-html-am
1212
1213install-html-am:
1214
1215install-info: install-info-am
1216
1217install-info-am:
1218
1219install-man: install-man8
1220
1221install-pdf: install-pdf-am
1222
1223install-pdf-am:
1224
1225install-ps: install-ps-am
1226
1227install-ps-am:
1228
1229installcheck-am:
1230
1231maintainer-clean: maintainer-clean-am
1232        -rm -rf ./$(DEPDIR)
1233        -rm -f Makefile
1234maintainer-clean-am: distclean-am maintainer-clean-generic
1235
1236mostlyclean: mostlyclean-am
1237
1238mostlyclean-am: mostlyclean-compile mostlyclean-generic \
1239        mostlyclean-libtool
1240
1241pdf: pdf-am
1242
1243pdf-am:
1244
1245ps: ps-am
1246
1247ps-am:
1248
1249uninstall-am: uninstall-libexecPROGRAMS uninstall-man
1250
1251uninstall-man: uninstall-man8
1252
1253.MAKE: check-am install-am install-strip
1254
1255.PHONY: CTAGS GTAGS TAGS all all-am check check-TESTS check-am clean \
1256        clean-checkPROGRAMS clean-generic clean-libexecPROGRAMS \
1257        clean-libtool cscopelist-am ctags ctags-am distclean \
1258        distclean-compile distclean-generic distclean-libtool \
1259        distclean-tags distdir dvi dvi-am html html-am info info-am \
1260        install install-am install-data install-data-am install-dvi \
1261        install-dvi-am install-exec install-exec-am install-html \
1262        install-html-am install-info install-info-am \
1263        install-libexecPROGRAMS install-man install-man8 install-pdf \
1264        install-pdf-am install-ps install-ps-am install-strip \
1265        installcheck installcheck-am installdirs maintainer-clean \
1266        maintainer-clean-generic mostlyclean mostlyclean-compile \
1267        mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
1268        recheck tags tags-am uninstall uninstall-am \
1269        uninstall-libexecPROGRAMS uninstall-man uninstall-man8
1270
1271.PRECIOUS: Makefile
1272
1273
1274$(OBJS): $(top_srcdir)/include/version.h $(top_builddir)/include/autoconf.h
1275
1276# Tell versions [3.59,3.63) of GNU make to not export all variables.
1277# Otherwise a system limit (for SysV at least) may be exceeded.
1278.NOEXPORT:
Note: See TracBrowser for help on using the repository browser.